(function ($, Drupal, drupalSettings) {
  'use strict';
  /* global Plyr */
  Drupal.plyrInstances = [];
  Drupal.behaviors.videoEmbedFieldPlyr = {

    attach: function (context) {
      if (typeof Plyr != 'undefined') {
        $('.video-embed-field-plyr', context).each(function () {
          if ($.inArray(this.id, Drupal.plyrInstances) === -1) {
            var container = $(this).children('div [data-plyr-provider]');
            Drupal.plyrInstances[this.id] = new Plyr(container);
          }
        });
      }
    }
  };
}(jQuery, Drupal, drupalSettings));
